Read the activity timeline through declared record paths

Configurable CRM record contract. Record references contain both typeId and recordId. Workspace scope comes from authentication. Decimal values are strings. Reads change nothing and return only what the caller may read.

Requires: read access to the record's list; change history also requires read all on activityLog.

POST
/v1/records/activities

Authorization

apiKeyAuth
x-api-key<token>

API key authentication. Create an API key in your user profile and include it in the x-api-key header.

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://customermates.com/api/v1/records/activities" \  -H "Content-Type: application/json" \  -d '{    "scope": {}  }'
{
  "items": [
    {
      "kind": "record",
      "id": "string",
      "at": "string",
      "actor": {
        "firstName": "string",
        "lastName": "string",
        "avatarUrl": "string",
        "email": "string"
      },
      "event": "record.created",
      "changes": {
        "ref": {
          "typeId": "caab7c42-4ce7-4bd5-bbab-6017cec730b7",
          "recordId": "0470cfd4-dcf3-4d8c-ac28-58c6deeff25f"
        },
        "schemaRevision": 9007199254740991,
        "beforeVersion": 9007199254740991,
        "afterVersion": 9007199254740991,
        "assignments": {
          "before": [
            "497f6eca-6276-4993-bfeb-53cbbbba6f08"
          ],
          "after": [
            "497f6eca-6276-4993-bfeb-53cbbbba6f08"
          ]
        },
        "identities": {
          "before": [
            {
              "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
              "provider": "google",
              "value": "string",
              "messagingId": "string",
              "displayName": "string",
              "profileUrl": "string"
            }
          ],
          "after": [
            {
              "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
              "provider": "google",
              "value": "string",
              "messagingId": "string",
              "displayName": "string",
              "profileUrl": "string"
            }
          ]
        },
        "links": [
          {
            "relationId": "4b4bc808-5132-481f-afc2-e3872bf12049",
            "source": {
              "typeId": "caab7c42-4ce7-4bd5-bbab-6017cec730b7",
              "recordId": "0470cfd4-dcf3-4d8c-ac28-58c6deeff25f"
            },
            "target": {
              "typeId": "caab7c42-4ce7-4bd5-bbab-6017cec730b7",
              "recordId": "0470cfd4-dcf3-4d8c-ac28-58c6deeff25f"
            },
            "before": true,
            "after": true
          }
        ],
        "related": [],
        "fields": [
          {
            "fieldId": "84922011-b03d-4966-bc95-c5b49bc2e342",
            "before": {
              "fieldId": "84922011-b03d-4966-bc95-c5b49bc2e342",
              "label": "string",
              "valueType": "text",
              "format": {
                "color": "string",
                "dateFormat": "string",
                "currency": "string",
                "decimalPlaces": 30,
                "onClick": "open",
                "providerAvatar": true
              },
              "options": [],
              "value": {
                "state": "value",
                "value": {
                  "kind": "text",
                  "value": "string"
                }
              },
              "files": [
                {
                  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
                  "name": "string"
                }
              ]
            },
            "after": {
              "fieldId": "84922011-b03d-4966-bc95-c5b49bc2e342",
              "label": "string",
              "valueType": "text",
              "format": {
                "color": "string",
                "dateFormat": "string",
                "currency": "string",
                "decimalPlaces": 30,
                "onClick": "open",
                "providerAvatar": true
              },
              "options": [],
              "value": {
                "state": "value",
                "value": {
                  "kind": "text",
                  "value": "string"
                }
              },
              "files": [
                {
                  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
                  "name": "string"
                }
              ]
            }
          }
        ]
      },
      "members": [
        {
          "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
          "firstName": "string",
          "lastName": "string",
          "avatarUrl": "string"
        }
      ],
      "lists": {
        "property1": {
          "icon": "string",
          "color": "default"
        },
        "property2": {
          "icon": "string",
          "color": "default"
        }
      },
      "records": {
        "primary": {
          "ref": {
            "typeId": "caab7c42-4ce7-4bd5-bbab-6017cec730b7",
            "recordId": "0470cfd4-dcf3-4d8c-ac28-58c6deeff25f"
          },
          "label": "string",
          "avatarUrl": "string",
          "icon": "string"
        },
        "related": [
          {
            "ref": {
              "typeId": "caab7c42-4ce7-4bd5-bbab-6017cec730b7",
              "recordId": "0470cfd4-dcf3-4d8c-ac28-58c6deeff25f"
            },
            "label": "string",
            "avatarUrl": "string",
            "icon": "string"
          }
        ],
        "relatedOverflow": 9007199254740991
      }
    }
  ],
  "nextCursor": {
    "at": "2019-08-24T14:15:22Z",
    "kind": "record",
    "id": "string"
  },
  "availableSources": [
    "record"
  ]
}
{
  "error": {
    "kind": "validation",
    "issues": [
      {
        "code": "string",
        "path": [
          "string"
        ],
        "message": "string",
        "customCode": "recordNotFound",
        "entitlement": "string"
      }
    ],
    "retryable": true
  }
}
{
  "error": {
    "kind": "validation",
    "issues": [
      {
        "code": "string",
        "path": [
          "string"
        ],
        "message": "string",
        "customCode": "recordNotFound",
        "entitlement": "string"
      }
    ],
    "retryable": true
  }
}
{
  "error": {
    "kind": "validation",
    "issues": [
      {
        "code": "string",
        "path": [
          "string"
        ],
        "message": "string",
        "customCode": "recordNotFound",
        "entitlement": "string"
      }
    ],
    "retryable": true
  }
}
{
  "error": {
    "kind": "validation",
    "issues": [
      {
        "code": "string",
        "path": [
          "string"
        ],
        "message": "string",
        "customCode": "recordNotFound",
        "entitlement": "string"
      }
    ],
    "retryable": true
  }
}
{
  "error": {
    "kind": "validation",
    "issues": [
      {
        "code": "string",
        "path": [
          "string"
        ],
        "message": "string",
        "customCode": "recordNotFound",
        "entitlement": "string"
      }
    ],
    "retryable": true
  }
}
{
  "error": {
    "kind": "validation",
    "issues": [
      {
        "code": "string",
        "path": [
          "string"
        ],
        "message": "string",
        "customCode": "recordNotFound",
        "entitlement": "string"
      }
    ],
    "retryable": true
  }
}
{
  "error": {
    "kind": "validation",
    "issues": [
      {
        "code": "string",
        "path": [
          "string"
        ],
        "message": "string",
        "customCode": "recordNotFound",
        "entitlement": "string"
      }
    ],
    "retryable": true
  }
}
Empty